## org.cybergarage.upnp.ssdp
Class HTTPMUSocket

    java.lang.Object
      org.cybergarage.upnp.ssdp.HTTPMUSocket

Direct Known Subclasses:
  SSDPNotifySocket, SSDPSearchSocket

    public class HTTPMUSocket

extends java.lang.Object

Constructor Summary
`HTTPMUSocket()`
`HTTPMUSocket(java.lang.String addr, int port, java.lang.String bindAddr)`

Method Summary
`boolean` `close()`
`protected void` `finalize()`
`java.lang.String` `getLocalAddress()`
`java.lang.String` `getMulticastAddress()`
`java.net.InetAddress` `getMulticastInetAddress()`
`boolean` `open(java.lang.String addr, int port, java.lang.String bindAddr)`
`boolean` `post(HTTPRequest req)`
`boolean` `post(HTTPRequest req, java.lang.String bindAddr, int bindPort)`
`SSDPPacket` `receive()`
`boolean` `send(java.lang.String msg)`
`boolean` `send(java.lang.String msg, java.lang.String bindAddr, int bindPort)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPMUSocket

    public HTTPMUSocket()

### HTTPMUSocket

    public HTTPMUSocket(java.lang.String addr,
                        int port,
                        java.lang.String bindAddr)

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

### getLocalAddress

    public java.lang.String getLocalAddress()

### getMulticastInetAddress

    public java.net.InetAddress getMulticastInetAddress()

### getMulticastAddress

    public java.lang.String getMulticastAddress()

### open

    public boolean open(java.lang.String addr,
                        int port,
                        java.lang.String bindAddr)

### close

    public boolean close()

### send

    public boolean send(java.lang.String msg,
                        java.lang.String bindAddr,
                        int bindPort)

### send

    public boolean send(java.lang.String msg)

### post

    public boolean post(HTTPRequest req,
                        java.lang.String bindAddr,
                        int bindPort)

### post

    public boolean post(HTTPRequest req)

### receive

    public SSDPPacket receive()